MockNodeConfigOverrides
Keywords: net.corda.testing.node.MockNodeConfigOverrides class
Date: 2023-09-18

net.corda.testing.node

## Class MockNodeConfigOverrides

- net.corda.testing.node.MockNodeConfigOverrides

-     public class MockNodeConfigOverrides

  This is a data class to configure overrides to the node configuration used in the mock network without having to expose/use the actual (internal) node configuration interface on the API. When passing one of these to createNode or createUnstartedNode functions, the bits that are set will be injected into the node configuration for the node to be created.

  See Also:
    createNode, createUnstartedNode

- - ### Constructor Detail

    - #### MockNodeConfigOverrides

          public MockNodeConfigOverrides(@Nullable
                                         java.util.Map<java.lang.String,java.lang.String> extraDataSourceProperties,
                                         @Nullable
                                         MockNetNotaryConfig notary,
                                         @Nullable
                                         MockNetFlowTimeOut flowTimeout)

      This is a data class to configure overrides to the node configuration used in the mock network without having to expose/use the actual (internal) node configuration interface on the API. When passing one of these to createNode or createUnstartedNode functions, the bits that are set will be injected into the node configuration for the node to be created.

      See Also:
        createNode, createUnstartedNode

    - #### MockNodeConfigOverrides

          public MockNodeConfigOverrides()

      This is a data class to configure overrides to the node configuration used in the mock network without having to expose/use the actual (internal) node configuration interface on the API. When passing one of these to createNode or createUnstartedNode functions, the bits that are set will be injected into the node configuration for the node to be created.

      See Also:
        createNode, createUnstartedNode

  - ### Method Detail

    - #### getExtraDataSourceProperties

          @Nullable
          public java.util.Map<java.lang.String,java.lang.String> getExtraDataSourceProperties()

    - #### getNotary

          @Nullable
          public MockNetNotaryConfig getNotary()

    - #### getFlowTimeout

          @Nullable
          public MockNetFlowTimeOut getFlowTimeout()